Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.digester3.annotations.handlers
Class SetRootHandler

    java.lang.Object
      org.apache.commons.digester3.annotations.handlers.SetRootHandler

All Implemented Interfaces:
  AnnotationHandler<SetRoot,Method>

    public final class SetRootHandler

extends Object

`SetRoot` handler.

Since:
  3.0

Constructor Summary
`SetRootHandler()`

Method Summary
`protected void` | `doBind(String pattern, String namespaceURI, Method method, Class<?> type, boolean fireOnBegin, RulesBinder rulesBinder)`
`void` | `handle(A annotation, Method element, RulesBinder rulesBinder)` Handles the current visited element with the related current annotation.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SetRootHandler

    public SetRootHandler()

Method Detail

### doBind

    protected void doBind(String pattern,
                          String namespaceURI,
                          Method method,
                          Class<?> type,
                          boolean fireOnBegin,
                          RulesBinder rulesBinder)

### handle

    public void handle(A annotation,
                       Method element,
                       RulesBinder rulesBinder)

  Handles the current visited element with the related current annotation.

  Specified by:
    `handle` in interface `AnnotationHandler<A extends Annotation,Method>`
  Parameters:
    `annotation` - the current visited annotation.
    `element` - the current visited annotated element.
    `rulesBinder` - the annotations `RulesBinder` where rules have to be bound.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2011 The Apache Software Foundation. All Rights Reserved.